Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.brook.sugarscape
Class GAS_Base

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          org.ascape.model.Scape
                              edu.brook.sugarscape.GAS_Base

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, ControlListener, ScapeListener, Location, Node, SpaceContext, HasName, RandomFunctions

    public class GAS_Base

extends Scape

G A S_ Base Java Implementation. Incomplete model! Generated by metaabm system: Sep 16, 2009 7:25:01 PM PDT in project: org.eclipse.amp.amf.examples.ascape

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.ascape.model.Scape
`Scape.ConditionalIterator, Scape.DrawFeatureObservable`

Field Summary

Fields inherited from class org.ascape.model.Scape
`AGENT_ORDER, agentsPerIteration, ALL_AGENTS, CLEAR_STATS_RULE, COLLECT_STATS_RULE, COMPARE_ORDERED_QUALIFIERS, COMPLETE_TOUR, copyrightAndCredits, CREATE_GRAPHIC_VIEW_RULE, CREATE_RULE, CREATE_SCAPE_RULE, CREATE_VIEW_RULE, EXECUTE_RULES_RULE, INITIAL_RULES_RULE, initialRules, prototypeAgent, REPEATED_DRAW, RULE_ORDER, version`

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`GAS_Base()` Constructs a new G A S_ Base.

Method Summary
`java.lang.Object` | `clone()` Clones the agent, ensuring that a unique id is assigned.
`void` | `createGraphicViews()` Creates UI views for G A S_ Base.
`void` | `createScape()` Creates the members of G A S_ Base.
`void` | `createUniqueID()`
`java.awt.Color` | `getColor()` This agent's default color, used by many simple views.
`int` | `getGAS_BaseAgentCount()` Gets the G A S_ Base Agent Count property for G A S_ Base.
`int` | `getMaxDeathAge()` Gets the Max Death Age property for G A S_ Base.
`int` | `getMaxInitialSugar()` Gets the Max Initial Sugar property for G A S_ Base.
`int` | `getMaxSugarMetabolism()` Gets the Max Sugar Metabolism property for G A S_ Base.
`int` | `getMaxVision()` Gets the Max Vision property for G A S_ Base.
`int` | `getMinDeathAge()` Gets the Min Death Age property for G A S_ Base.
`int` | `getMinInitialSugar()` Gets the Min Initial Sugar property for G A S_ Base.
`int` | `getMinSugarMetabolism()` Gets the Min Sugar Metabolism property for G A S_ Base.
`int` | `getMinVision()` Gets the Min Vision property for G A S_ Base.
`java.lang.String` | `getName()` Returns the name of this scape, the model name if this is root and there is no name set.
`Scape` | `getSugarAgent()` Gets the Sugar Agent property for G A S_ Base.
`Scape` | `getSugarCell()` Gets the Sugar Cell property for G A S_ Base.
`double` | `getSugarMoundness()` Gets the Sugar Moundness property for G A S_ Base.
`Scape` | `getSugarspace()` Gets the Sugarspace property for G A S_ Base.
`int[]` | `getSugarspaceDimensions()` Gets the Dimensions property for Sugarspace.
`int` | `getSugarspaceHeight()` Gets the Height property for Sugarspace.
`int` | `getSugarspaceWidth()` Gets the Width property for Sugarspace.
`java.lang.String` | `getUID()`
`void` | `intializeNonFramework()` .
`static void` | `main(java.lang.String[] args)`
`void` | `scapeSetup(ScapeEvent scapeEvent)` If the scape has delegated a view to itself, called each time a scape sends a "setup" method, indicating it needs to be setup for a run.
`void` | `setGAS_BaseAgentCount(int _gAS_BaseAgentCount)` Sets the G A S_ Base Agent Count property for G A S_ Base.
`void` | `setMaxDeathAge(int _maxDeathAge)` Sets the Max Death Age property for G A S_ Base.
`void` | `setMaxInitialSugar(int _maxInitialSugar)` Sets the Max Initial Sugar property for G A S_ Base.
`void` | `setMaxSugarMetabolism(int _maxSugarMetabolism)` Sets the Max Sugar Metabolism property for G A S_ Base.
`void` | `setMaxVision(int _maxVision)` Sets the Max Vision property for G A S_ Base.
`void` | `setMinDeathAge(int _minDeathAge)` Sets the Min Death Age property for G A S_ Base.
`void` | `setMinInitialSugar(int _minInitialSugar)` Sets the Min Initial Sugar property for G A S_ Base.
`void` | `setMinSugarMetabolism(int _minSugarMetabolism)` Sets the Min Sugar Metabolism property for G A S_ Base.
`void` | `setMinVision(int _minVision)` Sets the Min Vision property for G A S_ Base.
`void` | `setSugarAgent(Scape _sugarAgent)` Sets the Sugar Agent property for G A S_ Base.
`void` | `setSugarCell(Scape _sugarCell)` Sets the Sugar Cell property for G A S_ Base.
`void` | `setSugarMoundness(double _sugarMoundness)` Sets the Sugar Moundness property for G A S_ Base.
`void` | `setSugarspace(Scape _sugarspace)` Sets the Sugarspace property for G A S_ Base.
`void` | `setSugarspaceDimensions(int[] _sugarspaceDimensions)` Sets the Dimensions property for Sugarspace.
`void` | `setSugarspaceHeight(int _sugarspaceHeight)` Sets the Height property for Sugarspace.
`void` | `setSugarspaceWidth(int _sugarspaceWidth)` Sets the Width property for Sugarspace.

Methods inherited from class org.ascape.model.Scape
`add, add, add, add, addAll, addDrawFeature, addInitialRule, addInitialRule, addRule, addRule, addScapeListener, addScapeListenerFirst, addStatCollector, addStatCollectorIfNew, addStatCollectors, addView, addView, addView, addViews, addViews, addViews, assignParameters, assignParameters, calculateDistance, calculateDistance, clear, construct, contains, containsAll, contentsToString, countWithin, createNonGraphicViews, createSelfView, createViews, createViews, environmentQuiting, execute, execute, executeOnMembers, executeOnMembers, executeOnMembers, executeOnMembers, executeOnRoot, executeOnRoot, find, findMaximum, findMaximum, findMaximumWithin, findMinimum, findMinimum, findMinimumWithin, findNearest, findRandom, findRandom, findRandom, findRandomCoordinate, findWithin, get, get, getAgentsPerIteration, getAllScapes, getCollectStats, getData, getDescription, getDrawFeatures, getDrawFeaturesObservable, getEnvironment, getExecutionOrder, getExecutionStyle, getExtent, getHome, getHTMLDescription, getInitialRules, getIteration, getIterationsPerRedraw, getModel, getPausePeriod, getPeriod, getPeriodDescription, getPeriodName, getPrototype, getPrototypeAgent, getRoot, getRules, getRunner, getScapeListeners, getSize, getSpace, getStartPeriod, getStatCollectors, getStopPeriod, getSuperScape, getThreadCount, getUIEnvironment, getUserEnvironment, hasWithin, initialize, isAllViewsUpdated, isAutoCreate, isCellsRequestUpdates, isEmpty, isGraphic, isHome, isLifeOfScape, isListenersAndMembersCurrent, isMembersActive, isMutable, isPaused, isPeriodic, isPopulateOnCreate, isRoot, isRunning, isScapeListener, isSerializable, isStartOnOpen, isUpdateNeeded, isValidPeriod, isViewSelf, iterator, listenerOrMemberUpdated, listenerUpdated, memberUpdated, moveAway, moveToward, newAgent, newAgent, notifyViews, notifyViews, populate, remove, remove, removeAll, removeDrawFeature, removeScapeListener, respondControl, respondDrawFeature, retainAll, retrieveAllAccessors, retrieveAllAccessorsOrdered, retrieveModelAccessorsOrdered, save, save, scapeAdded, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeIterator, scapeIterator, scapeIterators, scapeNotification, scapeRandomIterator, scapeRemoved, scapeStarted, scapeStopped, search, searchMax, searchMin, set, set, set, set, setAgentsPerIteration, setAutoCreate, setAutoRestart, setCellsRequestUpdates, setCollectStats, setCollectStats, setDescription, setEarliestPeriod, setExecutionOrder, setExecutionStyle, setExtent, setExtent, setExtent, setHome, setHTMLDescription, setInitialRules, setIterationsPerRedraw, setIterationsPerRedraw, setLatestPeriod, setMembersActive, setPaused, setPausePeriod, setPeriodic, setPeriodName, setPopulateOnCreate, setPrototypeAgent, setRunner, setRunning, setSerializable, setSize, setSpace, setStartOnOpen, setStartPeriod, setStopPeriod, setSuperScape, setThreadCount, setViewSelf, size, toArray, toArray, toString, withinIterator`

Methods inherited from class org.ascape.model.CellOccupant
`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getNetwork, getOccupant, hostedCondition, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getImage, getImage, getPlatformColor, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Methods inherited from interface org.ascape.model.event.ScapeListener
`getScape`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### GAS_Base

    public GAS_Base()

  Constructs a new G A S_ Base.

Method Detail

### getUID

    public java.lang.String getUID()

### createUniqueID

    public void createUniqueID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `ScapeListener`
  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `Scape`
  Returns:
    the object

### getSugarAgent

    public Scape getSugarAgent()

  Gets the Sugar Agent property for G A S_ Base.

  Returns:
    A basic sugarscape citizen. Provides basic funtionality for sugarscape agents as well as all desired functionality that could be included in base class without compromising good design or supporting unnecessary member variables. Despite the relativly large size of this class it is actually quite simple; much of the code is simply getters and setters for various initialization paramaters. author Miles T. Parker version 1.0

### setSugarAgent

    public void setSugarAgent(Scape _sugarAgent)

  Sets the Sugar Agent property for G A S_ Base. A basic sugarscape citizen. Provides basic funtionality for sugarscape agents as well as all desired functionality that could be included in base class without compromising good design or supporting unnecessary member variables. Despite the relativly large size of this class it is actually quite simple; much of the code is simply getters and setters for various initialization paramaters. author Miles T. Parker version 1.0

  Parameters:
    `_sugarAgent` - the new Sugar Agent value

### getSugarCell

    public Scape getSugarCell()

  Gets the Sugar Cell property for G A S_ Base.

  Returns:
    history 19990624 AAL changed variables from private to protected so SpiceCell could inherit seperated peak creation from initialize() history 19990629 AAL removed a variety of "sugar"related methods and attributes, and put them in new class CommoditySource

### setSugarCell

    public void setSugarCell(Scape _sugarCell)

  Sets the Sugar Cell property for G A S_ Base. history 19990624 AAL changed variables from private to protected so SpiceCell could inherit seperated peak creation from initialize() history 19990629 AAL removed a variety of "sugar"related methods and attributes, and put them in new class CommoditySource

  Parameters:
    `_sugarCell` - the new Sugar Cell value

### createScape

    public void createScape()

  Creates the members of G A S_ Base.

  Overrides:
    `createScape` in class `Scape`
  See Also:
    `Scape.setPopulateOnCreate(boolean)`

### createGraphicViews

    public void createGraphicViews()

  Creates UI views for G A S_ Base.

  Overrides:
    `createGraphicViews` in class `Scape`

### scapeSetup

    public void scapeSetup(ScapeEvent scapeEvent)

  Description copied from class: `Scape`
  If the scape has delegated a view to itself, called each time a scape sends a "setup" method, indicating it needs to be setup for a run. Possible uses include setting initial vector extents, responding to changes in user settings, and changing parameters systematically. (A view delegate to the scape is automatically created for root scapes when the standard model implementation is used.)

  Specified by:
    `scapeSetup` in interface `ScapeListener`
  Overrides:
    `scapeSetup` in class `Scape`
  Parameters:
    `scapeEvent` - the associated scape event

### main

    public static void main(java.lang.String[] args)

### getColor

    public java.awt.Color getColor()

  Description copied from class: `Agent`
  This agent's default color, used by many simple views. Black is default; override to provide an appropriate color.

  Overrides:
    `getColor` in class `Agent`

### intializeNonFramework

    public void intializeNonFramework()

  .

### getSugarMoundness

    public double getSugarMoundness()

  Gets the Sugar Moundness property for G A S_ Base.

  Returns:
    The topology parameter for sugar peaks

### setSugarMoundness

    public void setSugarMoundness(double _sugarMoundness)

  Sets the Sugar Moundness property for G A S_ Base. The topology parameter for sugar peaks

  Parameters:
    `_sugarMoundness` - the new Sugar Moundness value

### getMinVision

    public int getMinVision()

  Gets the Min Vision property for G A S_ Base.

  Returns:
    The minimum vision that an agent may be given on initialization.Model parameter.

### setMinVision

    public void setMinVision(int _minVision)

  Sets the Min Vision property for G A S_ Base. The minimum vision that an agent may be given on initialization.Model parameter.

  Parameters:
    `_minVision` - the new Min Vision value

### getMaxVision

    public int getMaxVision()

  Gets the Max Vision property for G A S_ Base.

  Returns:
    The maximum vision that an agent may be given on initialization.Model parameter.

### setMaxVision

    public void setMaxVision(int _maxVision)

  Sets the Max Vision property for G A S_ Base. The maximum vision that an agent may be given on initialization.Model parameter.

  Parameters:
    `_maxVision` - the new Max Vision value

### getMinSugarMetabolism

    public int getMinSugarMetabolism()

  Gets the Min Sugar Metabolism property for G A S_ Base.

  Returns:
    The minimum sugar metabolism that an agent may be given on initialization.Model parameter.

### setMinSugarMetabolism

    public void setMinSugarMetabolism(int _minSugarMetabolism)

  Sets the Min Sugar Metabolism property for G A S_ Base. The minimum sugar metabolism that an agent may be given on initialization.Model parameter.

  Parameters:
    `_minSugarMetabolism` - the new Min Sugar Metabolism value

### getMaxSugarMetabolism

    public int getMaxSugarMetabolism()

  Gets the Max Sugar Metabolism property for G A S_ Base.

  Returns:
    The maximum sugar metabolism that an agent may be given on initialization.Model parameter.

### setMaxSugarMetabolism

    public void setMaxSugarMetabolism(int _maxSugarMetabolism)

  Sets the Max Sugar Metabolism property for G A S_ Base. The maximum sugar metabolism that an agent may be given on initialization.Model parameter.

  Parameters:
    `_maxSugarMetabolism` - the new Max Sugar Metabolism value

### getMinDeathAge

    public int getMinDeathAge()

  Gets the Min Death Age property for G A S_ Base.

  Returns:
    The minimum age that an agent may be given on initialization.Model parameter.

### setMinDeathAge

    public void setMinDeathAge(int _minDeathAge)

  Sets the Min Death Age property for G A S_ Base. The minimum age that an agent may be given on initialization.Model parameter.

  Parameters:
    `_minDeathAge` - the new Min Death Age value

### getMinInitialSugar

    public int getMinInitialSugar()

  Gets the Min Initial Sugar property for G A S_ Base.

  Returns:
    The minimum sugar that an agent may be given on initialization.Model parameter.

### setMinInitialSugar

    public void setMinInitialSugar(int _minInitialSugar)

  Sets the Min Initial Sugar property for G A S_ Base. The minimum sugar that an agent may be given on initialization.Model parameter.

  Parameters:
    `_minInitialSugar` - the new Min Initial Sugar value

### getMaxInitialSugar

    public int getMaxInitialSugar()

  Gets the Max Initial Sugar property for G A S_ Base.

  Returns:
    The maximum sugar that an agent may be given on initialization.Model parameter.

### setMaxInitialSugar

    public void setMaxInitialSugar(int _maxInitialSugar)

  Sets the Max Initial Sugar property for G A S_ Base. The maximum sugar that an agent may be given on initialization.Model parameter.

  Parameters:
    `_maxInitialSugar` - the new Max Initial Sugar value

### getGAS_BaseAgentCount

    public int getGAS_BaseAgentCount()

  Gets the G A S_ Base Agent Count property for G A S_ Base.

  Returns:
    The number of g a s_ base agents to create.

### setGAS_BaseAgentCount

    public void setGAS_BaseAgentCount(int _gAS_BaseAgentCount)

  Sets the G A S_ Base Agent Count property for G A S_ Base. The number of g a s_ base agents to create.

  Parameters:
    `_gAS_BaseAgentCount` - the new G A S_ Base Agent Count value

### getMaxDeathAge

    public int getMaxDeathAge()

  Gets the Max Death Age property for G A S_ Base.

  Returns:
    The minimum age that an agent may be given on initialization.Model parameter.

### setMaxDeathAge

    public void setMaxDeathAge(int _maxDeathAge)

  Sets the Max Death Age property for G A S_ Base. The minimum age that an agent may be given on initialization.Model parameter.

  Parameters:
    `_maxDeathAge` - the new Max Death Age value

### getSugarspaceDimensions

    public int[] getSugarspaceDimensions()

  Gets the Dimensions property for Sugarspace.

  Returns:
    The size of each dimension.

### setSugarspaceDimensions

    public void setSugarspaceDimensions(int[] _sugarspaceDimensions)

  Sets the Dimensions property for Sugarspace. The size of each dimension.

  Parameters:
    `_sugarspaceDimensions` - the new Dimensions value

### getSugarspaceWidth

    public int getSugarspaceWidth()

  Gets the Width property for Sugarspace.

  Returns:
    The horizontal extent of the space.

### setSugarspaceWidth

    public void setSugarspaceWidth(int _sugarspaceWidth)

  Sets the Width property for Sugarspace. The horizontal extent of the space.

  Parameters:
    `_sugarspaceWidth` - the new Width value

### getSugarspaceHeight

    public int getSugarspaceHeight()

  Gets the Height property for Sugarspace.

  Returns:
    The vertical extent of the space.

### setSugarspaceHeight

    public void setSugarspaceHeight(int _sugarspaceHeight)

  Sets the Height property for Sugarspace. The vertical extent of the space.

  Parameters:
    `_sugarspaceHeight` - the new Height value

### getSugarspace

    public Scape getSugarspace()

  Gets the Sugarspace property for G A S_ Base.

  Returns:

### setSugarspace

    public void setSugarspace(Scape _sugarspace)

  Sets the Sugarspace property for G A S_ Base.

  Parameters:
    `_sugarspace` - the new Sugarspace value

### getName

    public java.lang.String getName()

  Description copied from class: `Scape`
  Returns the name of this scape, the model name if this is root and there is no name set.

  Specified by:
    `getName` in interface `SpaceContext`
  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `Scape`
  Returns:
    the name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD